package com.zcloud.basic.info.command;

import com.alibaba.cola.exception.BizException;
import com.zcloud.basic.info.domain.gateway.UserCorpGateway;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;


/**
 * web-app
 *
 * @Author zhaokai
 * @Date 2025-12-02 11:13:33
 */
@Component
@AllArgsConstructor
public class UserCorpRemoveExe {
    private final UserCorpGateway userCorpGateway;

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long id) {
        boolean res = userCorpGateway.deletedUserCorpById(id);
        if (!res) {
            throw new BizException("删除失败");
        }
        return true;
    }

    @Transactional(rollbackFor = Exception.class)
    public boolean execute(Long[] ids) {
        boolean res = userCorpGateway.deletedUserCorpByIds(ids);
        if (!res) {
            throw new BizException("删除失败");
        }
        return true;
    }
}

